Bug 2973 - cairo_image_surface_create_for_png return values
Summary: cairo_image_surface_create_for_png return values
Status: RESOLVED FIXED
Alias: None
Product: cairo
Classification: Unclassified
Component: png functions (show other bugs)
Version: 0.9.3
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: Carl Worth
QA Contact: cairo-bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-04-11 08:58 UTC by Owen Taylor
Modified: 2005-08-22 00:14 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Taylor 2005-04-11 08:58:20 UTC
Currently there are three returns from _create_for_png() 

 Surface (return)
 width (out parameter)
 height (out parameter)

The height/width out parameters should be removed and replaced
by separate getters on cairo_image_surface() or cairo_surface()

http://lists.freedesktop.org/archives/cairo/2005-April/003576.html

[Somewhat related is the _for_png() name. I'd really like to
see it renamed to from_png() as it was originally. The point
of prepositions is to make the name work as english text ... 
and for_png() is just very different from create_for_drawable()]
Comment 1 Carl Worth 2005-05-10 14:41:43 UTC
Kristian fixed this a while back.
Comment 2 Carl Worth 2005-08-22 17:14:58 UTC
Move bugs against "cvs" version to "0.9.3" so we can remove the "cvs" version.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.